import java.lang.Object;
import java.awt.event.*;
import javax.swing.*;
import java.awt.*;
import java.applet.Applet;
import java.util.Vector;

/*MaFenP, classe de fenetre principale de parametrage
 * des libells de questions, et de texte des boutons favorables 
 * et defavorable
 * Cree le sondage et lance MaFen 
 * 
*/
class MaFenP extends JFrame
{

  private MaFen sousf;
  
  //--> Zones de champs de saisies
  //Zone de saisies de la question
  private JTextField questionSaisie;
  //Zone de saisie du nombre de reponses defavorables
  private JTextField eNbReponseDefav;
  //Zone de saisie du nombre de reponse favorables
  private JTextField eNbReponseFav;
  
   //--> Zone d'affichage de texte
   private JLabel lQuestion;
   private JLabel lReponseFav;
   private JLabel lReponseDefav;
   private JLabel lNbReponseFav;
   private JLabel lNbReponseDefav;
   
   //-->Bouton de creation du sondage
   private JButton bCreer;
   
   //-->Listes box
   private JComboBox listeReponseFav;
   private JComboBox listeReponseDefav;
   
   private QuestionOuiNon appli;

   public MaFenP ( String titre )
   {
        super (titre);
        //Enregistrement de l'application de sondage
 //       appli = appliQues;
        Container content;
        MaFenPEcouteur ef;
               
        //Definition de la fenetre
        this.setBounds ( 300,150,350,200 );
        this.setResizable ( false );
         
         //instanciation de la sous fenetre
        sousf = new MaFen ("Sondage",appli);
          
        //Instanciation des champs de saisie
        questionSaisie = new JTextField (20);
        //Par defaut, 0 
        eNbReponseDefav = new JTextField (4);
        eNbReponseDefav.setText("0");
        eNbReponseFav = new JTextField (4);
        eNbReponseFav.setText("0");

        //instanciation des tiquettes
        lQuestion = new   JLabel ("Titre de la question");
        lReponseFav = new JLabel ("Rponses Affirmatives");
        lReponseDefav = new JLabel ("Rponses Ngatives");
        lNbReponseFav = new JLabel ("Nombre de oui");
        lNbReponseDefav= new JLabel ("Nombre de non");

       //instanciation des listes droulantes
       listeReponseFav = new JComboBox();
       listeReponseDefav = new JComboBox();
       
       //Les liste peuvent etre editable
       listeReponseFav.setEditable (true);
       listeReponseDefav.setEditable (true );

       //Remplissage des listes
       Vector tFav;
       tFav =  new Vector(6);  
       
       tFav.add(0,"Pour");
       tFav.add(1,"Oui");
       tFav.add(2,"Favorable");
       tFav.add(3,"D'accord");
       for (int i=0;i<tFav.size();i++)
       {
         listeReponseFav.addItem(tFav.elementAt(i));
       }
       
       Vector tDefav;
       tDefav =  new Vector(6);  
       tDefav.add(0,"Contre");
       tDefav.add(1,"Non");
       tDefav.add(2,"Defavorable");
       tDefav.add(3,"Pas d'accord");
       for (int i=0;i<tDefav.size();i++)
       {
         listeReponseDefav.addItem(tDefav.elementAt(i));
       }            
       
       //Instanciation du bouton
       bCreer = new JButton("Creer le sondage ");
       
       //Position des objets graphiques sur l'ecran
       JPanel pHaut,pBas;
       pHaut = new JPanel ();
       pHaut.setLayout ( new GridLayout(5,2) ); //5 lignes et 3 colonnes
       pHaut.add ( lQuestion);         // lig 1, col 1
       pHaut.add ( questionSaisie);    //lig 1 col 2
       pHaut.add ( lReponseFav );      // lig 2 col 2
       pHaut.add ( listeReponseFav);   //lig 2 col 2
       pHaut.add ( lReponseDefav );    //lig 3 col 1
       pHaut.add ( listeReponseDefav ); //lig 3 col 2
       pHaut.add ( lNbReponseFav) ;   //lig 4 col 1
       pHaut.add ( eNbReponseFav );   //lig 4 col 2
       pHaut.add ( lNbReponseDefav ); //lig 5 col 1
       pHaut.add ( eNbReponseDefav );   //lig5 col 1
                 
       pBas = new JPanel( );
       pBas.setLayout ( new FlowLayout() );
       pBas.add (bCreer);
       
       content = this.getContentPane ();        
       content.add ( pHaut,BorderLayout.NORTH);
       content.add ( pBas, BorderLayout.SOUTH);
        
       //Preparation des gestionnaires d'evenements
       //Champ de siaise de la question
        EcouteurESQuestion EcouteureQuestion = new EcouteurESQuestion ( this );
        questionSaisie.addActionListener (EcouteureQuestion);
       //ListeBox 1 de choix de reponse favorable
       EcouteurLFav EcouteurListeFav = new EcouteurLFav ( this );
       listeReponseFav.addActionListener (EcouteurListeFav);
       //listeBox 2 de choix de reponse defavorable
       EcouteurLDefav EcouteurListeDefav = new EcouteurLDefav ( this );
       listeReponseDefav.addActionListener (EcouteurListeDefav);
       //Champ de saisie du nombre de reponse favorable
       EcouteurNombreFavorable EcouteurESNbFav = new EcouteurNombreFavorable (this );
       eNbReponseDefav.addActionListener ( EcouteurESNbFav );
       //Champ de saisie du nombre de reponse defavorable
       EcouteurNombreDefavorable EcouteurESNbDefav = new EcouteurNombreDefavorable (this );
       eNbReponseDefav.addActionListener ( EcouteurESNbDefav );
       //Bouton de creation du sondage
       EcouteurCreer eCreer = new EcouteurCreer ( this );
       bCreer.addActionListener ( eCreer );
        
  }
  
  /** METHODES DE CONSULTATIONS **/
  public MaFen getSousFenetre ()
  {
      return  sousf;
  }
  public QuestionOuiNon getAppli ()
  {
     return appli;
  }
  //Retourne la chaine de caracteres saisie qui correspond  a la question
  public String getQuestionSaisie ()
  {
     return questionSaisie.getText();
  }  
  // Retourne les labels
  public String getLibelleNeg ()
  {
     return lReponseDefav.getText();
  }
  public String getLibellePos()
  {
     return lReponseFav.getText();  
  }
  public String getLibelleQuestion()
  {
    return lQuestion.getText();
  }
  //..
  public String getNbQuestionFavorableSaisie ()
  {
    return eNbReponseFav.getText();  
  }
  public String getNbQuestionDefavorableSaisie ()
  {
    return eNbReponseDefav.getText();  
  }
  //Retourne l'element selectionne de la liste box
  public String getSelectlFav ()
  {    
     return (String) listeReponseFav.getSelectedItem() ;
  }
   public String getSelectlDefav ()
   { 
     return (String) listeReponseDefav.getSelectedItem();
   }
  
}
