import java.lang.*;


/*****
    Classe QuestionOuiNon de gestion de question.
    Les questions contiennent deux rponses possibles
    (favorable et dfavorable), par dfaut "Oui" et "Non".
                                                    *****/

class QuestionOuiNon
{

    // ATTRIBUTS
    // Libell de la question
    private String question;

    // Nombre de rponses favorables et dfavorables
    private int nbOui, nbNon;

  // Libell des rponses favorables et dfavorables
    private String libOui, libNon;

    // CONSTRUCTEURS
    // Constructeur avec libell de question seul
   // Les rponses sont "oui" et "non" par dfaut
    public QuestionOuiNon (String pQuestion)
    {
        this(pQuestion, 0, 0, "Oui", "Non");
    }

    // Constructeur avec libell de question et nombre de rponses dj enregistres
    // Les rponses sont "oui" et "non" par dfaut
    public QuestionOuiNon (String pQuestion, int pNbOui, int pNbNon)
    {
        this(pQuestion, pNbOui, pNbNon, "Oui", "Non");
    }

    // Constructeur avec libell de question et nombre de rponses dj enregistres
    // et les libells des rponses
    public QuestionOuiNon (String pQuestion, int pNbOui, int pNbNon,
                String pLibOui, String pLibNon)
    {
        this.question = pQuestion;
        this.nbOui = pNbOui;
        this.nbNon = pNbNon;
        this.libOui = pLibOui;
        this.libNon = pLibNon;
    }

    // METHODES DE CONSULTATION
    public int getNbOui () { return nbOui; }
    public int getNbNon () { return nbNon; }
    public String getQuestion() { return question; }
    public String getLibOui () { return libOui; }
    public String getLibNon () { return libNon; }

    // Chaine prototype donnant le rsultat de la question
    public String resultatQuestionOuiNon ()
    {
        String s, sOui, sNon;
        int tot;
        float vOui, vNon;

        tot = this.nbOui + this.nbNon;

        // Problmes de claculs 0 * 100.0F / tot ne fait pas zro !!!
        if (tot == 0)
            vOui = 0.0F;
        else
            vOui = this.nbOui * 100.0F / tot;
        sOui = Float.toString(vOui);
        if (sOui.length() > 5)
            sOui = sOui.substring(0, 5);

        // Idem
        if (tot == 0)
            vNon = 0.0F;
        else
            vNon = this.nbNon * 100.0F / tot;
        sNon = Float.toString(vNon);
        if (sNon.length() > 5)
            sNon = sNon.substring(0, 5);

        s = sOui + " % disent ' " + this.libOui + " ' et "
          + sNon + " % disent ' " + this.libNon + " '";
        return s;
    }
    // METHODES DE MISE A JOUR
    // Ajout d"une rponse favorable
    public void oui() { this.nbOui++; }

    // Ajout d'une rponse dfavorable
    public void non() { this.nbNon++; }
}
